| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
Margining.ino File Reference

Code for datasheet application - Margining a power supply with the LTC2645 Quad 12-/10-/8-Bit PWM to VOUT DACs with 10ppm/C Reference. More...

## Detailed Description

Code for datasheet application - Margining a power supply with the LTC2645 Quad 12-/10-/8-Bit PWM to VOUT DACs with 10ppm/C Reference.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.
       Equipment required is a precision voltage source (null box) and a precision voltmeter (to monitor voltage source).
       No external power supply is required.
       Ensure JP1 is installed in the default position from the factory.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2645

http://www.linear.com/product/LTC2645

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file Margining.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| 16-bit PWM Pin More...
static void | print_prompt ()
static void | init_16_bit_PWM ()
| Initializes Pin 9 and 10 for 16-bit PWM. More...
static void | pwm_16_bit (uint8_t pin, uint16_t duty)
| Sets duty cycle for 16-bit PWM. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_prompt (int16_t selected_dac)
| Prints main menu. More...

## Variables
const uint8_t | DAC_A = 9
const uint8_t | DAC_B = 10
| 16-bit PWM Pin More...

## Function Documentation

## ◆ init_16_bit_PWM()

static void init_16_bit_PWM | ( |  | ) |
| static

Initializes Pin 9 and 10 for 16-bit PWM.

Definition at line 173 of file Margining.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 96 of file Margining.ino.

## ◆ print_prompt() [1/2]

static void print_prompt | ( |  | ) |
| static

## ◆ print_prompt() [2/2]

static void print_prompt | ( | int16_t | selected_dac | ) |
| static

Prints main menu.

Definition at line 157 of file Margining.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

16-bit PWM Pin

Prints the title block when program first starts.

Definition at line 141 of file Margining.ino.

## ◆ pwm_16_bit()

static void pwm_16_bit | ( | uint8_t | pin,
|  | uint16_t | duty
| ) |  |
| static

Sets duty cycle for 16-bit PWM.

Definition at line 205 of file Margining.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 82 of file Margining.ino.

## Variable Documentation

## ◆ DAC_A

const uint8_t DAC_A = 9

Definition at line 72 of file Margining.ino.

## ◆ DAC_B

const uint8_t DAC_B = 10

16-bit PWM Pin

Definition at line 73 of file Margining.ino.